summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJoni Jantti <joni.jantti@qt.io>2018-02-06 14:58:42 +0200
committerLiang Qi <liang.qi@qt.io>2018-02-08 08:04:44 +0000
commitaf55ddc91349d408775bef8d29db7dabae7aef72 (patch)
treea7ad956eca5ee5b6fd8354c92998c17775bae89e
parentc3096caa14393690df2d6bdb79b144924c56f22a (diff)
Provisioning: MacOS-10.12 - Disable sleep
Display sleep and system sleep need to be disabled to prevent the machine from going to sleep during RTA testing. Task-number: QTQAINFRA-1588 Change-Id: I3dc1642d3714762bfb56963392d2bb5137c13256 Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/05-systemsetup.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/05-systemsetup.sh b/coin/provisioning/qtci-macos-10.12-x86_64/05-systemsetup.sh
index 20430d6a..6420efe7 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/05-systemsetup.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/05-systemsetup.sh
@@ -49,6 +49,7 @@ ExceptionSetDelay=102
ExceptionVNC=103
ExceptionNTS=104
ExceptionDisableScreensaverPassword=105
+ExceptionDisableSleep=106
try
(
@@ -56,6 +57,9 @@ try
# For current session
defaults -currentHost write com.apple.screensaver idleTime 0 || throw $ExceptionDisableScreensaver
+ echo "Disable sleep"
+ sudo pmset sleep 0 displaysleep 0 || throw $ExceptionDisableSleep
+
# For session after a reboot
mkdir -p "$HOME/Library/LaunchAgents" || throw $ExceptionDisableScreensaver
(
@@ -126,5 +130,10 @@ catch || {
echo "Failed to disable requiring of password after screensaver is enabled."
exit 1;
;;
+ $ExceptionDisableSleep)
+ echo "Failed to disable sleep."
+ exit 1;
+ ;;
+
esac
}